HMWKGraphInternal::Frame Struct Reference

Internal: the frame header of a HMWKGraph. More...

Inheritance diagram for HMWKGraphInternal::Frame:

## Public Member Functions

| Frame ()
| constructor More...
virtual | ~Frame ()
| destructor More...
bool | getLineColor (MWAWColor &color) const
| returns the line colors More...
bool | getSurfaceColor (MWAWColor &color) const
| returns the surface colors More...

## Public Attributes

int | m_type
| the graph type More...
long | m_fileId
| the file id More...
int | m_id
| the local id More...
int | m_page
| the page More...
Box2f | m_pos
| the position More...
float | m_baseline
| the baseline More...
int | m_posFlags
| the graph anchor flags More...
Vec2f | m_borders [4]
| the border default size (before using width), 0 means Top, other unknown More...
float | m_lineWidth
| the line width More...
MWAWColor | m_colors [2]
| the line/surface colors More...
float | m_patterns [2]
| the line/surface percent pattern More...
bool | m_parsed
| true if we have send the data More...
std::string | m_extra
| an extra string More...

## Friends

std::ostream & | operator<< (std::ostream &o, Frame const &grph)
| operator<< More...

## Detailed Description

Internal: the frame header of a HMWKGraph.

## Constructor & Destructor Documentation

HMWKGraphInternal::Frame::Frame | ( |  | ) |

inline

constructor

virtual HMWKGraphInternal::Frame::~Frame | ( |  | ) |

inline virtual

destructor

## Member Function Documentation

bool HMWKGraphInternal::Frame::getLineColor | ( | MWAWColor & | color | ) | const

returns the line colors

Referenced by HMWKGraph::sendBasicGraph(), and HMWKGraph::sendTextBox().

bool HMWKGraphInternal::Frame::getSurfaceColor | ( | MWAWColor & | color | ) | const

returns the surface colors

Referenced by HMWKGraph::sendBasicGraph(), and HMWKGraph::sendTextBox().

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | Frame const & | grph
| ) |  |

friend

operator<<

## Member Data Documentation

float HMWKGraphInternal::Frame::m_baseline

the baseline

Referenced by HMWKGraphInternal::operator<<(), and HMWKGraph::readFrames().

Vec2f HMWKGraphInternal::Frame::m_borders[4]

the border default size (before using width), 0 means Top, other unknown

Referenced by HMWKGraphInternal::operator<<(), HMWKGraph::readFrames(), and HMWKGraph::sendTextBox().

MWAWColor HMWKGraphInternal::Frame::m_colors[2]

the line/surface colors

Referenced by Frame(), getLineColor(), getSurfaceColor(), HMWKGraphInternal::operator<<(), and HMWKGraph::readFrames().

std::string HMWKGraphInternal::Frame::m_extra

an extra string

Referenced by HMWKGraphInternal::operator<<(), and HMWKGraph::readFrames().

long HMWKGraphInternal::Frame::m_fileId

the file id

Referenced by HMWKGraphInternal::operator<<(), HMWKGraph::readFrames(), HMWKGraph::sendFrame(), and HMWKGraph::sendPictureFrame().

int HMWKGraphInternal::Frame::m_id

the local id

Referenced by HMWKGraphInternal::operator<<(), and HMWKGraph::readFrames().

float HMWKGraphInternal::Frame::m_lineWidth

the line width

Referenced by HMWKGraphInternal::operator<<(), HMWKGraph::readFrames(), HMWKGraph::sendBasicGraph(), and HMWKGraph::sendTextBox().

int HMWKGraphInternal::Frame::m_page

the page

Referenced by HMWKGraphInternal::operator<<(), HMWKGraph::readFrames(), and HMWKGraph::sendPageGraphics().

bool HMWKGraphInternal::Frame::m_parsed

mutable

true if we have send the data

Referenced by HMWKGraph::flushExtra(), HMWKGraph::sendFrame(), and HMWKGraph::sendPageGraphics().

float HMWKGraphInternal::Frame::m_patterns[2]

the line/surface percent pattern

Referenced by Frame(), getLineColor(), getSurfaceColor(), HMWKGraphInternal::operator<<(), and HMWKGraph::readFrames().

Box2f HMWKGraphInternal::Frame::m_pos

the position

Referenced by HMWKGraphInternal::operator<<(), HMWKGraph::readFrames(), HMWKGraph::sendBasicGraph(), HMWKGraph::sendFrame(), HMWKGraph::sendPageGraphics(), HMWKGraph::sendPictureFrame(), and HMWKGraph::sendTextBox().

int HMWKGraphInternal::Frame::m_posFlags

the graph anchor flags

Referenced by HMWKGraphInternal::operator<<(), and HMWKGraph::readFrames().

int HMWKGraphInternal::Frame::m_type

the graph type

Referenced by HMWKGraph::flushExtra(), HMWKGraph::getTextFrameInformations(), HMWKGraphInternal::operator<<(), HMWKGraph::readFrames(), HMWKGraph::sendFrame(), HMWKGraph::sendPageGraphics(), and HMWKGraph::sendTextBox().

The documentation for this struct was generated from the following file:

- HMWKGraph.cxx